#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin >> s;
    vector<int> v;
    v.push_back(0);
    for(int i = 1; i < s.length(); i++){
        if(s[i] < s[i-1]){
            v.push_back(i);
        }
    }
    v.push_back(s.length());
    int q;
    cin >> q;
    for(int i = 0; i < q; i++){
        int l, r;
        cin >> l >> r;
        l--;r--;
        auto it = upper_bound(v.begin(), v.end(), l);
        it--;
        auto itt = upper_bound(v.begin(), v.end(), r);
        cout << itt - it << endl;
    }
}
